%define major 0
%define rname bsd
%define libname %mklibname %{rname} %{major}
%define libnamedev %mklibname %{rname} -d

Name:		libbsd
Summary:	Library providing BSD-compatible functions for portability
Group:		System/Libraries
Version:	0.4.2
Release:	%mkrel 2
License:	BSD and ISC and Copyright only and Public Domain
URL:		http://libbsd.freedesktop.org/
Source0:	http://libbsd.freedesktop.org/releases/%{name}-%{version}.tar.gz

%description
libbsd provides useful functions commonly found on BSD systems, and
lacking on others like GNU systems, thus making it easier to port
projects with strong BSD origins, without needing to embed the same
code over and over again on each project.

%package -n %{libname}
Summary:	libbsdb libary
Group:		System/Libraries
Conflicts:	libbsd

%description -n %{libname}
libbsd libary.

%files -n %{libname}
%{_libdir}/lib%{rname}.so.%{major}*

#--------------------------------------------------------------------
%package -n %{libnamedev}
Summary:	Development files for libbsd
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{libnamedev}
Development files for the libbsd library.

%files -n %{libnamedev}
%doc ChangeLog COPYING README TODO
%{_mandir}/man3/*
%{_includedir}/%{rname}/
%{_libdir}/lib%{rname}.so
%{_libdir}/pkgconfig/lib%{rname}*.pc

#--------------------------------------------------------------------
%prep
%setup -q

%build
%configure2_5x \
    --disable-static
%make

%install
%makeinstall_std
# clean .la files
rm %{buildroot}%{_libdir}/libbsd.la

# Move nlist.h into bsd directory to avoid conflict with elfutils-libelf.
#mv %%{buildroot}%%{_includedir}/nlist.h %%{buildroot}%%{_includedir}/bsd/


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.4.2-2.mga3
+ Revision: 356875
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 11 2012 pterjan <pterjan> 0.4.2-1.mga3
+ Revision: 269338
- Update to 0.4.2

* Fri Jun 15 2012 shlomif <shlomif> 0.4.1-2.mga3
+ Revision: 260850
- Get lib64bsd to work properly. Thanks to simplew.

* Fri Jun 08 2012 shlomif <shlomif> 0.4.1-1.mga3
+ Revision: 257988
- New version: 0.4.1

* Wed Jun 06 2012 shlomif <shlomif> 0.3.0-4.mga3
+ Revision: 256602
- Correct the devel package Group
- Correct the group
- Bump the release
- Fix the man pages globs

  + kamil <kamil>
    - imported package libbsd

